Bug 851487 - make Spacewalk work with quartz-2.x
make Spacewalk work with quartz-2.x
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.8
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 06:04 EDT by Jan Hutař
Modified: 2016-07-26 03:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2012-08-24 06:04:35 EDT
Description of problem:
Spacewalk uses quartz-1.8.1-3.fc14 from spacewalk-nightly repo. Fedora 17 now provides quartz-2.1.2-3.fc17. After Spacewalk installation, upgrade of mine system is failing because of spacewalk packages depending on old quartz or conflicting with new one.


Version-Release number of selected component (if applicable):
spacewalk-taskomatic-1.8.131-1.fc17.noarch
spacewalk-search-1.8.5-1.fc17.noarch
quartz-2.1.2-3.fc17.noarch


How reproducible:
always


Steps to Reproduce:
1. Use quartz from Fedora and see what breaks


Actual results:
==> /var/log/rhn/rhn_taskomatic_daemon.log <==
INFO   | jvm 1    | 2012/08/25 08:44:35 | 
FATAL  | jvm 1    | 2012/08/25 08:44:38 | org.quartz.Scheduler.addTriggerListener(Lorg/quartz/TriggerListener;)V
java.lang.NoSuchMethodError: org.quartz.Scheduler.addTriggerListener(Lorg/quartz/TriggerListener;)V
	at com.redhat.rhn.taskomatic.core.SchedulerKernel.<init>(SchedulerKernel.java:130)
	at com.redhat.rhn.taskomatic.core.TaskomaticDaemon.onStartup(TaskomaticDaemon.java:98)
	at com.redhat.rhn.taskomatic.core.BaseDaemon.startupWithOptions(BaseDaemon.java:187)
	at com.redhat.rhn.taskomatic.core.BaseDaemon.start(BaseDaemon.java:54)
	at org.tanukisoftware.wrapper.WrapperManager$11.run(WrapperManager.java:2788)
STATUS | wrapper  | 2012/08/25 08:44:40 | <-- Wrapper Stopped


Expected results:
Should work


Additional info:
Maybe this info might be useful here:
http://quartz-scheduler.org/documentation/quartz-2.x/migration-guide#changes-related-to-listeners-joblistener-triggerlistener-schedulerlistener

Note You need to log in before you can comment on or make changes to this bug.